Index: resources/views/dashboard/departments/create.blade.php
===================================================================
--- resources/views/dashboard/departments/create.blade.php	(revision b9c4a92282ce0d7aa095082d7109f6d3d7b68dad)
+++ 	(revision )
@@ -1,63 +1,0 @@
-@extends('layouts.app')
-
-@section("title", "Departments - Create department")
-
-@section('pageTitle', 'Create department')
-
-@section('content')
-
-    <div class="page-header">
-        <nav aria-label="breadcrumb" class="d-flex align-items-start">
-            <ol class="breadcrumb">
-                <li class="breadcrumb-item">
-                    <a href="{{ url('dashboard/departments') }}">Departments</a>
-                </li>
-                <li class="breadcrumb-item active" aria-current="page">New department</li>
-            </ol>
-        </nav>
-    </div>
-
-    <div class="row">
-        <div class="col-md-12">
-
-            <div class="row">
-                <div class="col-lg-12 col-md-12">
-                    <div class="tab-content" id="v-pills-tabContent">
-                        <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
-                            <div class="card">
-                                <div class="card-body">
-                                    <h6 class="card-title">New department</h6>
-                                    <form action="{{ route("dashboard.departments.store") }}" method="post" accept-charset="utf-8" class="needs-validation" novalidate>
-                                        @csrf
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Name</label>
-                                                    <input type="text" name="name" value="{{ old('name') }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter characters with length between [2, 30]
-                                                    </div>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Code</label>
-                                                    <input type="text" name="code" value="{{ old('code') }}" minlength="2" maxlength="30" class="form-control" placeholder="Code" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter characters with length between [2, 30]
-                                                    </div>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
-                                    </form>
-                                </div>
-                            </div>
-                        </div>
-                    </div>
-                </div>
-            </div>
-        </div>
-    </div>
-
-@endsection
Index: resources/views/dashboard/departments/edit.blade.php
===================================================================
--- resources/views/dashboard/departments/edit.blade.php	(revision b9c4a92282ce0d7aa095082d7109f6d3d7b68dad)
+++ 	(revision )
@@ -1,64 +1,0 @@
-@extends('layouts.app')
-
-@section("title", "Departments - Edit department")
-
-@section('pageTitle', 'Edit department')
-
-@section('content')
-
-    <div class="page-header">
-        <nav aria-label="breadcrumb" class="d-flex align-items-start">
-            <ol class="breadcrumb">
-                <li class="breadcrumb-item">
-                    <a href="{{ url('dashboard/departments') }}">Departments</a>
-                </li>
-                <li class="breadcrumb-item active" aria-current="page">Edit department</li>
-            </ol>
-        </nav>
-    </div>
-
-    <div class="row">
-        <div class="col-md-12">
-
-            <div class="row">
-                <div class="col-lg-12 col-md-12">
-                    <div class="tab-content" id="v-pills-tabContent">
-                        <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
-                            <div class="card">
-                                <div class="card-body">
-                                    <h6 class="card-title">Departmnets</h6>
-                                    <form action="{{ route("dashboard.departments.edit", ["id" =>$department->id]) }}" method="post" accept-charset="utf-8" class="needs-validation" novalidate>
-                                        @method("patch")
-                                        @csrf
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label class="form-label">Name</label>
-                                                    <input type="text" name="name" value="{{ $department->name }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter characters with length between [2, 30]
-                                                    </div>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label class="form-label">Code</label>
-                                                    <input type="text" name="code" value="{{ $department->code }}" minlength="2" maxlength="30" class="form-control" placeholder="Code" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter characters with length between [2, 30]
-                                                    </div>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
-                                    </form>
-                                </div>
-                            </div>
-                        </div>
-                    </div>
-                </div>
-            </div>
-        </div>
-    </div>
-
-@endsection
Index: resources/views/dashboard/departments/index.blade.php
===================================================================
--- resources/views/dashboard/departments/index.blade.php	(revision b9c4a92282ce0d7aa095082d7109f6d3d7b68dad)
+++ resources/views/dashboard/departments/index.blade.php	(revision ea7b12a15d1afa472a54d5b8c75c55917907862e)
@@ -22,5 +22,5 @@
         </nav>
         <div class="dropdown">
-            <a href="{{ route("dashboard.departments.create") }}" class="btn btn-primary text-white">
+            <a href="javascript:void(0)" data-toggle="modal" data-target="#createModal" class="btn btn-primary text-white">
                 Add department
             </a>
@@ -37,8 +37,4 @@
                             <tr>
                                 <th>
-                                    {{--                                    <div class="custom-control custom-checkbox">--}}
-                                    {{--                                        <input type="checkbox" class="custom-control-input" id="user-list-select-all">--}}
-                                    {{--                                        <label class="custom-control-label" for="user-list-select-all"></label>--}}
-                                    {{--                                    </div>--}}
                                 </th>
                                 <th>ID</th>
@@ -75,5 +71,5 @@
                                     </td>
                                     <td>
-                                        <a href="{{ route("dashboard.departments.edit", ["id" => $department->id]) }}" class="text-secondary" data-toggle="tooltip" title="Edit">
+                                        <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$department->id}}" title="Edit">
                                             <i class="ti-pencil"></i>
                                         </a>
@@ -109,5 +105,75 @@
                                     </div>
                                 </div>
+
+                                <div class="modal fade" id="editModal_{{$department->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Edit department</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.departments.edit", ["id" =>$department->id]) }}" method="post" accept-charset="utf-8">
+                                                    @method("patch")
+                                                    @csrf
+                                                    <div class="row">
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Name</label>
+                                                                <input type="text" name="name" value="{{ $department->name }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
+                                                            </div>
+                                                        </div>
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Code</label>
+                                                                <input type="text" name="code" value="{{ $department->code }}" minlength="2" maxlength="30" class="form-control" placeholder="Code" required>
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <input type="submit" value="Save changes" class="btn btn-primary pull-right m-10">
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
                             @endforeach
+
+                            <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-hidden="true">
+                                <div class="modal-dialog modal-dialog-centered" role="document">
+                                    <div class="modal-content">
+                                        <div class="modal-header">
+                                            <h5 class="modal-title" id="exampleModalCenterTitle">Create department</h5>
+                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                <i class="ti-close"></i>
+                                            </button>
+                                        </div>
+                                        <div class="modal-body">
+                                            <form action="{{ route("dashboard.departments.store") }}" method="post" accept-charset="utf-8">
+                                                @csrf
+                                                <div class="row">
+                                                    <div class="col-md-6">
+                                                        <div class="form-group">
+                                                            <label>Name</label>
+                                                            <input type="text" name="name" value="{{ old('name') }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
+                                                        </div>
+                                                    </div>
+                                                    <div class="col-md-6">
+                                                        <div class="form-group">
+                                                            <label>Code</label>
+                                                            <input type="text" name="code" value="{{ old('code') }}" minlength="2" maxlength="30" class="form-control" placeholder="Code" required>
+                                                        </div>
+                                                    </div>
+                                                </div>
+                                                <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
+                                            </form>
+                                        </div>
+
+                                    </div>
+                                </div>
+                            </div>
+
                             </tbody>
                         </table>
@@ -124,13 +190,3 @@
     <!-- Datatable -->
     <script src="{{ url('vendors/dataTable/dataTables.min.js') }}"></script>
-
-    <script>
-        $('#deleteModal').on('show.bs.modal', function (event) {
-            var button = $(event.relatedTarget)
-            var dep_id = button.data('deptId')
-            var modal = $(this)
-
-            modal.find('.modal-body #dept_id').val(dep_id);
-        });
-    </script>
 @endsection
Index: resources/views/dashboard/documents/edit.blade.php
===================================================================
--- resources/views/dashboard/documents/edit.blade.php	(revision b9c4a92282ce0d7aa095082d7109f6d3d7b68dad)
+++ resources/views/dashboard/documents/edit.blade.php	(revision ea7b12a15d1afa472a54d5b8c75c55917907862e)
@@ -4,4 +4,9 @@
 
 @section('pageTitle', 'Edit document')
+
+@section('head')
+    <!-- Datatable -->
+    <link rel="stylesheet" href="{{ url('vendors/dataTable/dataTables.min.css') }}" type="text/css">
+@endsection
 
 @section('content')
@@ -79,6 +84,153 @@
                 </div>
             </div>
+
+        </div>
+
+        <div class="col-md-12">
+            <div class="card">
+                <div class="card-body">
+                    <div class="table-responsive">
+                        <table id="user-list" class="table table-lg">
+                            <thead>
+                            <tr>
+                                <th></th>
+                                <th>ID</th>
+                                <th>Size</th>
+                                <th>Name</th>
+                                <th>Created at</th>
+                                <th>Location</th>
+                                <th>Actions</th>
+                            </tr>
+                            </thead>
+                            <tbody>
+                            @foreach($files as $file)
+                                <tr>
+                                    <td></td>
+                                    <td>{{ $file->id }}</td>
+                                    <td>{{ $file->getSize($file->location) }} MB</td>
+                                    <td>{{ $file->name }}</td>
+                                    <td>{{ date('d.m.Y - H:i', strtotime($file->created_at)) }}</td>
+                                <!-- Trigger -->
+                                    <td> <span id="copy_{{$department->id}}"></span>
+                                        <button class="btn btn-sm btn-primary text-white" data-clipboard-target="#copy_{{ $department->id }}"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-clipboard" viewBox="0 0 16 16">
+                                                <path d="M4 1.5H3a2 2 0 0 0-2 2V14a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V3.5a2 2 0 0 0-2-2h-1v1h1a1 1 0 0 1 1 1V14a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1V3.5a1 1 0 0 1 1-1h1v-1z"/>
+                                                <path d="M9.5 1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5v-1a.5.5 0 0 1 .5-.5h3zm-3-1A1.5 1.5 0 0 0 5 1.5v1A1.5 1.5 0 0 0 6.5 4h3A1.5 1.5 0 0 0 11 2.5v-1A1.5 1.5 0 0 0 9.5 0h-3z"/>
+                                            </svg></button>
+                                    </td>
+                                    <td>
+                                        <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$file->id}}" title="Edit">
+                                            <i class="ti-pencil"></i>
+                                        </a>
+                                        <a href="{{ route("dashboard.documents.downloadFile", $file->id) }}" class="text-secondary" title="Edit">
+                                            <i class="ti-download"></i>
+                                        </a>
+                                        <a href="javascript:void(0)" class="text-danger ml-2" data-toggle="modal" data-target="#deleteModal_{{$file->id}}" title="Delete">
+                                            <i class="ti-trash"></i>
+                                        </a>
+                                    </td>
+                                </tr>
+                                <div class="modal fade" id="deleteModal_{{$file->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Delete confirmation</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.documents.deleteFile", $file->id) }}" method="POST">
+                                                    @csrf
+                                                    @method('DELETE')
+                                                    <p>Are you sure you want to delete file {{$file->name}}?</p>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
+
+                                <div class="modal fade" id="editModal_{{$file->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Edit department</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.documents.renameFile", ["id" =>$file->id]) }}" method="post" accept-charset="utf-8">
+                                                    @method("patch")
+                                                    @csrf
+                                                    <div class="row">
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Name</label>
+                                                                <input type="text" name="name" value="{{ explode('.', $file->name)[0] }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <input type="submit" value="Save changes" class="btn btn-primary pull-right m-10">
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
+                            @endforeach
+
+                            <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-hidden="true">
+                                <div class="modal-dialog modal-dialog-centered" role="document">
+                                    <div class="modal-content">
+                                        <div class="modal-header">
+                                            <h5 class="modal-title" id="exampleModalCenterTitle">Create department</h5>
+                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                <i class="ti-close"></i>
+                                            </button>
+                                        </div>
+                                        <div class="modal-body">
+                                            <form action="{{ route("dashboard.departments.store") }}" method="post" accept-charset="utf-8">
+                                                @csrf
+                                                <div class="row">
+                                                    <div class="col-md-6">
+                                                        <div class="form-group">
+                                                            <label>Name</label>
+                                                            <input type="text" name="name" value="{{ old('name') }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
+                                                        </div>
+                                                    </div>
+                                                    <div class="col-md-6">
+                                                        <div class="form-group">
+                                                            <label>Code</label>
+                                                            <input type="text" name="code" value="{{ old('code') }}" minlength="2" maxlength="30" class="form-control" placeholder="Code" required>
+                                                        </div>
+                                                    </div>
+                                                </div>
+                                                <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
+                                            </form>
+                                        </div>
+
+                                    </div>
+                                </div>
+                            </div>
+
+                            </tbody>
+                        </table>
+                    </div>
+                </div>
+            </div>
         </div>
     </div>
 
 @endsection
+
+@section('script')
+    <script src="{{ url('assets/js/examples/pages/user-list.js') }}"></script>
+    <!-- Datatable -->
+    <script src="{{ url('vendors/dataTable/dataTables.min.js') }}"></script>
+@endsection
Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision b9c4a92282ce0d7aa095082d7109f6d3d7b68dad)
+++ resources/views/dashboard/users/index.blade.php	(revision ea7b12a15d1afa472a54d5b8c75c55917907862e)
@@ -75,5 +75,5 @@
                                     <td>{{$user->phone_number}}</td>
                                     <td>{{ $user->getCreatedByName() }}</td>
-                                    <td>{{ date('d.m.Y', strtotime($user->created_at)) }}</td>
+                                    <td>{{ date('d.m.Y - H:i', strtotime($user->created_at)) }}</td>
                                     @if($user->updated_at==NULL)
                                         <td>/</td>
